Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13ResponseHeaders

    java.lang.Object
      org.mortbay.io.BufferCache
          org.mortbay.jetty.ajp.Ajp13ResponseHeaders

    public class Ajp13ResponseHeaders

extends BufferCache

Author:
  Markus Kobler

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.BufferCache
`BufferCache.CachedBuffer`

Field Summary
`static BufferCache` | `CACHE`
`static String` | `CONTENT_LANGUAGE`
`static Buffer` | `CONTENT_LANGUAGE_BUFFER`
`static int` | `CONTENT_LANGUAGE_ORDINAL`
`static String` | `CONTENT_LENGTH`
`static Buffer` | `CONTENT_LENGTH_BUFFER`
`static int` | `CONTENT_LENGTH_ORDINAL`
`static String` | `CONTENT_TYPE`
`static Buffer` | `CONTENT_TYPE_BUFFER`
`static int` | `CONTENT_TYPE_ORDINAL`
`static String` | `DATE`
`static Buffer` | `DATE_BUFFER`
`static int` | `DATE_ORDINAL`
`static String` | `LAST_MODIFIED`
`static Buffer` | `LAST_MODIFIED_BUFFER`
`static int` | `LAST_MODIFIED_ORDINAL`
`static String` | `LOCATION`
`static Buffer` | `LOCATION_BUFFER`
`static int` | `LOCATION_ORDINAL`
`static int` | `MAGIC`
`static String` | `SERVLET_ENGINE`
`static Buffer` | `SERVLET_ENGINE_BUFFER`
`static int` | `SERVLET_ENGINE_ORDINAL`
`static String` | `SET_COOKIE`
`static Buffer` | `SET_COOKIE_BUFFER`
`static int` | `SET_COOKIE_ORDINAL`
`static String` | `SET_COOKIE2`
`static Buffer` | `SET_COOKIE2_BUFFER`
`static int` | `SET_COOKIE2_ORDINAL`
`static String` | `STATUS`
`static Buffer` | `STATUS_BUFFER`
`static int` | `STATUS_ORDINAL`
`static String` | `WWW_AUTHENTICATE`
`static Buffer` | `WWW_AUTHENTICATE_BUFFER`
`static int` | `WWW_AUTHENTICATE_ORDINAL`

Constructor Summary
`Ajp13ResponseHeaders()`

Method Summary

Methods inherited from class org.mortbay.io.BufferCache
`add, get, get, get, getBest, getOrdinal, lookup, lookup, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAGIC

    public static final int MAGIC

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final String CONTENT_TYPE

See Also:
  Constant Field Values

### CONTENT_LANGUAGE

    public static final String CONTENT_LANGUAGE

See Also:
  Constant Field Values

### CONTENT_LENGTH

    public static final String CONTENT_LENGTH

See Also:
  Constant Field Values

### DATE

    public static final String DATE

See Also:
  Constant Field Values

### LAST_MODIFIED

    public static final String LAST_MODIFIED

See Also:
  Constant Field Values

### LOCATION

    public static final String LOCATION

See Also:
  Constant Field Values

### SET_COOKIE

    public static final String SET_COOKIE

See Also:
  Constant Field Values

### SET_COOKIE2

    public static final String SET_COOKIE2

See Also:
  Constant Field Values

### SERVLET_ENGINE

    public static final String SERVLET_ENGINE

See Also:
  Constant Field Values

### STATUS

    public static final String STATUS

See Also:
  Constant Field Values

### WWW_AUTHENTICATE

    public static final String WWW_AUTHENTICATE

See Also:
  Constant Field Values

### CONTENT_TYPE_ORDINAL

    public static final int CONTENT_TYPE_ORDINAL

See Also:
  Constant Field Values

### CONTENT_LANGUAGE_ORDINAL

    public static final int CONTENT_LANGUAGE_ORDINAL

See Also:
  Constant Field Values

### CONTENT_LENGTH_ORDINAL

    public static final int CONTENT_LENGTH_ORDINAL

See Also:
  Constant Field Values

### DATE_ORDINAL

    public static final int DATE_ORDINAL

See Also:
  Constant Field Values

### LAST_MODIFIED_ORDINAL

    public static final int LAST_MODIFIED_ORDINAL

See Also:
  Constant Field Values

### LOCATION_ORDINAL

    public static final int LOCATION_ORDINAL

See Also:
  Constant Field Values

### SET_COOKIE_ORDINAL

    public static final int SET_COOKIE_ORDINAL

See Also:
  Constant Field Values

### SET_COOKIE2_ORDINAL

    public static final int SET_COOKIE2_ORDINAL

See Also:
  Constant Field Values

### SERVLET_ENGINE_ORDINAL

    public static final int SERVLET_ENGINE_ORDINAL

See Also:
  Constant Field Values

### STATUS_ORDINAL

    public static final int STATUS_ORDINAL

See Also:
  Constant Field Values

### WWW_AUTHENTICATE_ORDINAL

    public static final int WWW_AUTHENTICATE_ORDINAL

See Also:
  Constant Field Values

### CACHE

    public static final BufferCache CACHE

### CONTENT_TYPE_BUFFER

    public static final Buffer CONTENT_TYPE_BUFFER

### CONTENT_LANGUAGE_BUFFER

    public static final Buffer CONTENT_LANGUAGE_BUFFER

### CONTENT_LENGTH_BUFFER

    public static final Buffer CONTENT_LENGTH_BUFFER

### DATE_BUFFER

    public static final Buffer DATE_BUFFER

### LAST_MODIFIED_BUFFER

    public static final Buffer LAST_MODIFIED_BUFFER

### LOCATION_BUFFER

    public static final Buffer LOCATION_BUFFER

### SET_COOKIE_BUFFER

    public static final Buffer SET_COOKIE_BUFFER

### SET_COOKIE2_BUFFER

    public static final Buffer SET_COOKIE2_BUFFER

### SERVLET_ENGINE_BUFFER

    public static final Buffer SERVLET_ENGINE_BUFFER

### STATUS_BUFFER

    public static final Buffer STATUS_BUFFER

### WWW_AUTHENTICATE_BUFFER

    public static final Buffer WWW_AUTHENTICATE_BUFFER

Constructor Detail

### Ajp13ResponseHeaders

    public Ajp13ResponseHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.